# Contributing

## What Is Jekyll

For those unfamiliar with how Jekyll works, check out [jekyll.rb] for all the
details, or read up on the basics of [front matter], [writing posts] and
[creating pages].

[jekyll.rb]: https://jekyllrb.com/
[front matter]: https://jekyllrb.com/docs/frontmatter/
[writing posts]: https://jekyllrb.com/docs/posts/
[creating pages]: https://jekyllrb.com/docs/pages/

## Deploy It

1. Push your changes to master and Dokku will try to automatically release
1. See the [Drone dashboard to see the build](https://drone.autonomic.zone/autonomic-cooperative/autonomic.zone/)

## Hack On It

The only prerequisite is [Docker](https://www.docker.com/). If you're on Debian, installing is easy.

```bash
$ curl -fsSL https://get.docker.com -o get-docker.sh  # have a look if you want
$ sh get-docker.sh
```

Fire up the container with the following.

```bash
$ make dockerserver
```

Then visit the locally running website.

> http://localhost:4000

Then you can edit the files as normal and reload the page.

## Notes

1. For configuration, please note, we now use a `dev` environment config file:
   `_config_dev.yml`. Hence if you edit one `_config*` file and you also want
   that change to be reflected in the other environment ("dev", "prod") then
   edit the other file as well!
